Show / Hide Table of Contents

# AsyncMouseUpTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncMouseUpTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncMouseUpTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnMouseUpAsyncHandler() |
GetOnMouseUpAsyncHandler(CancellationToken) |
OnMouseUpAsync() |
OnMouseUpAsync(CancellationToken) |

### Methods

#### GetOnMouseUpAsyncHandler()

    public IAsyncOnMouseUpHandler GetOnMouseUpAsyncHandler()

##### Returns

IAsyncOnMouseUpHandler

#### GetOnMouseUpAsyncHandler(CancellationToken)

    public IAsyncOnMouseUpHandler GetOnMouseUpAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnMouseUpHandler

#### OnMouseUpAsync()

    public UniTask OnMouseUpAsync()

##### Returns

UniTask

#### OnMouseUpAsync(CancellationToken)

    public UniTask OnMouseUpAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>